HP OpenVMS Systems

ask the wizard
Content starts here

OpenVMS Upgrades and Application Compatibility?

» close window

The Question is:

Are you aware of any problems when BASIC program, compiled under Alpha OpenVMS
 v7.1, are run under v7.2-1.
I dont want to recompile 700+ programs if I dont have to.
Thanks in anticipation

The Answer is :

  The upward-compatibility of application images (those using documented
  interfaces and user-mode code) is and has been a longstanding goal of
  OpenVMS Engineering regularly uses an OpenVMS VAX image that was
  originally built on V1 of (as OpenVMS was then known) VAX/VMS -- and
  that has also not been subsequently recompiled or relinked -- as part
  of our OpenVMS VAX regression test suite.
  Rebuilding existing source modules using newer versions of the compiler(s)
  can, however, better code generation and potentially better application
  performance.  Related to this better code, please see the information on
  the 21264 (EV6) SRM compatibility issues that is referenced at:

answer written or last revised on ( 26-MAY-2000 )

» close window